classification
Title: Update test.test_importlib.test_abc to test find_spec()
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, eric.snow, nanjekyejoannah, ncoghlan, sayanchowdhury
Priority: normal Keywords: patch

Created on 2017-04-28 21:56 by brett.cannon, last changed 2019-06-21 23:01 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12847 merged nanjekyejoannah, 2019-04-15 19:02
Messages (4)
msg292552 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-04-28 21:56
It looks like test_abc isn't really testing find_spec() very much compared to find_module(). There might also be some tests still using find_module() that should be updated to use find_spec() instead.
msg294208 - (view) Author: Sayan Chowdhury (sayanchowdhury) * Date: 2017-05-23 00:24
I am picking up this issue.
msg340302 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python triager) Date: 2019-04-15 19:12
Since it was almost 2 years since the last conversation, i opened a PR for this. 

@brett.cannon I may have not looked at all possible areas to use find_spec(), so please let me know in the reviews for this PR.
msg346240 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-06-21 18:17
New changeset a0d73a143af404deecb9c4fcdbd3ddbafd96b41b by Brett Cannon (Joannah Nanjekye) in branch 'master':
bpo-30202 : Update test.test_importlib.test_abc to test find_spec() (GH-12847)
https://github.com/python/cpython/commit/a0d73a143af404deecb9c4fcdbd3ddbafd96b41b
History
Date User Action Args
2019-06-21 23:01:07brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-06-21 18:17:05brett.cannonsetmessages: + msg346240
2019-05-26 21:42:31nanjekyejoannahsetstage: needs patch -> patch review
2019-04-15 19:12:50nanjekyejoannahsetmessages: + msg340302
2019-04-15 19:08:38nanjekyejoannahsetnosy: + nanjekyejoannah

stage: patch review -> needs patch
2019-04-15 19:02:23nanjekyejoannahsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request12772
2017-05-23 00:24:12sayanchowdhurysetnosy: + sayanchowdhury
messages: + msg294208
2017-04-28 21:56:12brett.cannoncreate